/**********************************
      ciyashop info-boxes start
***********************************/

.ciyashop-info-box {
  display: flex;
  &.ciyashop-info-box-postion-left {
    .ciyashop-info-box-icon-wrapper {
      padding-right: 20px;
    }
     &.border-left-right{
        border-left: 1px solid #dee2e6;
        border-right: 1px solid #dee2e6;
        padding-left: 25px;
      }
  }
  &.ciyashop-info-box-postion-right {
      text-align: right;
      flex-direction: row-reverse;
    .ciyashop-info-box-icon-wrapper {
      padding-left: 20px;
    }
  }
  .ciyashop-info-box-icon {
    display: flex;
    align-items: center;
    justify-content: center;
    border-width: 2px;
    border-style: solid;
    color: $gray-lighter;
    &.ciyashop-info-box-icon-without-border {
      border-width: 0;
    }
    &.ciyashop-info-box-icon-primary-color {
      color: $primary;
    }
    &.ciya-shop-info-box-size-sm {
      &.ciyashop-info-box-icon-without-border {
        width: 30px;
        height: auto;
      }
    }
    &.ciya-shop-info-box-size-md {
      &.ciyashop-info-box-icon-without-border {
        width: 40px;
        height: auto;
      }
    }
    &.ciya-shop-info-box-size-lg {
      &.ciyashop-info-box-icon-without-border {
        width: 48px;
        height: auto;
      }
    }
    &.ciya-shop-info-box-size-sm {
      width: 60px;
      height: 60px;
      font-size: 30px;
      line-height: 40px;
    }
    &.ciya-shop-info-box-size-md {
      width: 70px;
      height: 70px;
      font-size: 32px;
      line-height: 48px;
    }
    &.ciya-shop-info-box-size-lg {
      width: 85px;
      height: 85px;
      font-size: 38px;
      line-height: 50px;
    }
    &.ciyashop-info-box-icon-round {
      border-radius: 50%;
    }
  }
  .ciyashop-info-box-title {
    margin-bottom: 10px;
    font-weight: 600;
  }
  .ciyashop-info-box-description {
    p {
      margin-bottom: 0;
      line-height: 22px;
    }
  }
  .ciyashop-info-box-step {
    font-size: 36px;
    font-weight: 700;
    color: $gray-light;
  }
  &.ciyashop-info-box-style-1 { 
    &.ciyashop-info-box-postion-left {
      .ciyashop-info-box-icon-wrapper {
        padding-right: 65px;
      }
    }
    .ciyashop-info-box-step {
      font-size: 16px;
      color: $muted;
      line-height: 22px;
      font-family: $font-poppins;  
      &::after {
        content: "";
        position: absolute;
        top: 12px;
        left: 50px;
        width: 30px;
        height: 1px;
        background: $gray;
      } 
    }   
  }
}

@media only screen and (max-width: 767px) {

  .ciyashop-info-box {
    &.ciyashop-info-box-postion-left {
      &.border-left-right { 
        border: none;
        border-top: 1px solid #dee2e6;
        border-bottom: 1px solid #dee2e6;
        padding-left: 0;
      }
    }
    &.ciyashop-info-box-postion-right {
      text-align: left;
      flex-direction: row;
      .ciyashop-info-box-icon-wrapper {
        padding-right: 20px;
        padding-left: 0;
      }
    }
  }


}



/**********************************
      ciyashop info-boxes end
***********************************/   